Subject: Re: configure and gnomeConf.sh

From: Dominik Vogt <[email-masked]>
Date: Sun, 3 Mar 2002 09:11:42 +0100

On Sat, Feb 23, 2002 at 01:01:17PM +0000, Mikhael Goikhman wrote:
> On 07 Feb 2002 15:42:56 +0600, Dmitry Yu. Bolkhovityanov wrote:
> > 
> > 	I've just downloaded fvwm-snap-20020206 and tried to compile it
> > with installdir ~/usr/ .  The commandline was
> > 
> > 	./configure --prefix=$HOME/usr
> > 
> > 	There was a line in configure output:
> > 
> > checking for gnomeConf.sh file in /export/ring1/bolkhov/usr/lib... not found
> > 
> > (my $HOME is /export/ring1/bolkhov) and finally a
> > 
> >   With GNOME support in FvwmGtk?      no: Can't find working gnome-config
> > 
> > 	There is /usr/lib/gnomeConf.sh, so I modified the command line to
> > 
> > 	./configure --prefix=$HOME/usr --with-gnome-libs=/usr/lib/
> > 
> > but that had no effect -- configure still looks in ~/usr/lib/.  I've
> > skimmed through the script itself, and there's a code to set $gnome_prefix
> > to the argument of --with-gnome-libs, but later there's some alchemy with
> > --with-gnome, which probably overrides the value of $gnome_prefix.
> > 
> > 	Not that I care about Gnome, but just for correctness...  Am I
> > missing something, or is there really a mistake in configure script?
> 
> gnomeConf.sh is used as the last resort. First gnome-config executable is
> searched. The question is why you don't have it in your path?
> 
> The logic about where to search for gnomeConf.sh (last resort) is from
> gnome.m4, which is included in a lot of other projects, you may write to
> authors of this macro if you don't agree with this logic.
> 
> I may fix this (risking to break something else), but is it really needed?
> Just ensure you have the correct gnome-config in $PATH, as it should be.
> In RedHat or similar it is /usr/bin/gnome-config from gnome-libs-devel rpm.

You had already fixed it in 2.5.x when you commented some cone in
acinclude.m4 that broke setting some paths.  I've backported it to
the 2.4 branch and now the screwed up checks are gone.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]